<?php
/*
<id>underdog:shoutArcadeScores</id>
<name>SP-Shout Arcade Scores</name>
<version>1.1</version>
*/
if (!defined('SMF'))
	die('Hacking attempt...');

/*  Shout SMF Arcade Score  */
function shoutGameScore($score, $game, $position)
{
	global $modSettings, $db_prefix;

	/* Remove sound tag from previous shout if the shout-sounds mod is enabled */
	$checkSounds = !empty($modSettings['sp_sbSoundEnable']) ? (int) $modSettings['sp_sbSoundEnable'] : 0;
	$sound = !empty($modSettings['sp_sbSound']) ? (int) $modSettings['sp_sbSound'] : 10;
	if ($checkSounds)
	{			
		$removeSound = false;	
		$shoutid = 0;	
		$result1 = db_query("SELECT body, ID_SHOUT FROM {$db_prefix}sp_shouts ORDER BY ID_SHOUT DESC LIMIT 1", __FILE__, __LINE__);
		while ($val = mysql_fetch_assoc($result1))
		{	
			$removeSound = str_replace('<script type="text/javascript">function spSound(){var beep = document.getElementById("beep");beep.play('.$sound.');}</script><object id="beep" type="application/x-shockwave-flash" data="Themes/default/images/sp/shout_sounds.swf" width="0" height="0"><param name="movie" value="Themes/default/images/sp/shout_sounds.swf" /><param name="FlashVars" value="onLoad=spSound" /></object>', '', $val['body']);								
			$shoutid = (int)$val['ID_SHOUT'];
		}
		mysql_free_result($result1);	
		if ($shoutid > 0)
			db_query("UPDATE {$db_prefix}sp_shouts SET body = '{$removeSound}' WHERE `{$db_prefix}sp_shouts`.`ID_SHOUT` = {$shoutid} LIMIT 1", __FILE__, __LINE__);
		
	}
	
	if ((!empty($modSettings['sp_shout_score'])) && $modSettings['sp_shout_score'])
		shoutSideGameScore($score, $game, $position);
	else
		shoutTopGameScore($score, $game, $position);				 
}

/*  Top/Bottom Block  */
function shoutTopGameScore($score, $game, $position)
{
	global $txt, $context, $scripturl, $boardurl, $modSettings;
	
	loadLanguage('SportalShoutScore');		
	$shout_id = !empty($modSettings['sp_shoutbox_score']) ? (int) $modSettings['sp_shoutbox_score'] : 1;	
	$context['SPortal']['shoutbox'] = sportal_get_shoutbox($shout_id, true);
	
	if (empty($context['SPortal']['shoutbox']))
		return;		
	
	$thumb = '<img src="' .  (!empty($game['thumbnailSmall']) ? $game['thumbnailSmall'] : (!empty($game['thumbnail']) ? $game['thumbnail'] : false)) . '" alt="" title="'. $game['name'] .'" height="25" width="25" />&nbsp;';  
	
	$trophy = '';
	if((int)$position > 0 && (int)$position < 4)
		$trophy = '&nbsp;&nbsp;&nbsp;<img src="'. $boardurl.'/Themes/default/images/arc_icons/'. $position .'.gif" alt="" title="Trophy" />';
				
	$shoutit = '<i><strong>&nbsp;'. $txt['shoutBestScore'] .'</strong></i>&nbsp;&nbsp;'. $thumb .'&nbsp;<em>' . $game['name'] . '</em>&nbsp;<i><strong>'. $txt['shoutHighScore'] .'&nbsp;' . $score .'</strong></i>' . $trophy;
	if ($position == 1)
	{
		$shoutit = '<i><strong>&nbsp;'. $txt['shoutChampScore'] .'</strong></i>&nbsp;&nbsp;'. $thumb .'&nbsp;<em>' . $game['name'] . '</em>&nbsp;<i><strong>'. $txt['shoutHighScore'] .'&nbsp;' . $score .'</strong></i>' . $trophy;
	}
		
	/* Add audio tag if the shout-sounds mod is enabled */
	$checkSounds = !empty($modSettings['sp_sbSoundEnable']) ? (int) $modSettings['sp_sbSoundEnable'] : 0;
	$sound = !empty($modSettings['sp_sbSound']) ? (int) $modSettings['sp_sbSound'] : 10;
	if ($checkSounds)
		$shoutit .= '<script type="text/javascript">function spSound(){var beep = document.getElementById("beep");beep.play('.$sound.');}</script><object id="beep" type="application/x-shockwave-flash" data="Themes/default/images/sp/shout_sounds.swf" width="0" height="0"><param name="movie" value="Themes/default/images/sp/shout_sounds.swf" /><param name="FlashVars" value="onLoad=spSound" /></object>';
		
	sportal_create_shout($context['SPortal']['shoutbox'], $shoutit); 				
	echo '
	<script language="Javascript" type="text/javascript"><!-- // --><![CDATA[	
	sp_submit_shout(' . $shout_id . ', \'sc\', \'' . $context['session_id'] . '\');
	// ]]></script>'; 	
}

/*  Side Block  */
function shoutSideGameScore($score, $game, $position)
{
	global $txt, $context, $scripturl, $boardurl, $modSettings;
	
	loadLanguage('SportalShoutScore');		
	$shout_id = !empty($modSettings['sp_shoutbox_score']) ? (int) $modSettings['sp_shoutbox_score'] : 1;	
	$context['SPortal']['shoutbox'] = sportal_get_shoutbox($shout_id, true);
	
	if (empty($context['SPortal']['shoutbox']))
		return;
			
	$gameName = $game['name']; 
	if (strlen($game['name']) >= 23)
		$gameName = substr($game['name'],0,22) . '...'; 
	
	$trophy = '';
	if((int)$position > 0 && (int)$position < 4)
		$trophy = '&nbsp;&nbsp;&nbsp;<img src="'. $boardurl.'/Themes/default/images/arc_icons/'. $position .'.gif" alt="" title="Trophy" />';	
					
	$shoutit = $trophy . '<br /><i><strong>&nbsp;'. $txt['shoutBestScore'] .'</strong></i><br /><em>' . $game['name'] . '</em><br /><i><strong>'. $txt['shoutHighScore'] .'&nbsp;' . $score .'</strong></i>';
	if ($position == 1)
	{
		$shoutit = $trophy . '<br /><i><strong>&nbsp;'. $txt['shoutChampScore'] .'</strong></i><br /><em>' . $game['name'] . '</em><br /><i><strong>'. $txt['shoutHighScore'] .'&nbsp; ' . $score .'</strong></i>';
	}
	
	/* Add audio tag if the shout-sounds mod is enabled */
	$checkSounds = !empty($modSettings['sp_sbSoundEnable']) ? (int) $modSettings['sp_sbSoundEnable'] : 0;
	$sound = !empty($modSettings['sp_sbSound']) ? (int) $modSettings['sp_sbSound'] : 10;
	if ($checkSounds)
		$shoutit .= '<script type="text/javascript">function spSound(){var beep = document.getElementById("beep");beep.play('.$sound.');}</script><object id="beep" type="application/x-shockwave-flash" data="Themes/default/images/sp/shout_sounds.swf" width="0" height="0"><param name="movie" value="Themes/default/images/sp/shout_sounds.swf" /><param name="FlashVars" value="onLoad=spSound" /></object>';
			
	sportal_create_shout($context['SPortal']['shoutbox'], $shoutit); 				
	echo '
	<script language="Javascript" type="text/javascript"><!-- // --><![CDATA[	
	sp_submit_shout(' . $shout_id . ', \'sc\', \'' . $context['session_id'] . '\');
	// ]]></script>'; 	
}
?>